
body {
    background-color: #c7d3ff;
    font-family: Arial;
}

.general-container{
    width: 90%;
    max-width: 480px;
    min-width: 300px;
    height: auto;
    border: 1px solid #17327e;
    border-radius: 10px;
    margin: auto;
}

header {
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    background-color: #17327e;
    justify-content: center;
    height: 35px;
    display: flex;
}

header > h1 {
    margin: 0;
    font-size: 17px;
    padding: 8px 10px 0px 10px;
    color: #ffff;
}

header img, .pokemon section img {
    width: 25px;
    height: 25px;
    margin: 4px 1px 0px 7px;
}


.content {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin-top: 18px;
    padding-bottom: 20px;
}

.pokemon{
    width: 45%;
    min-width: 200px;
    height: 200px;
    margin-right: 6px;
}

.pokemon section {
    width: 100%;
    height: 35px;
    background-color: #ffff;
    border-radius: 10px;
    display: flex;
    justify-content: center;
}

.pokemon figure{
    width: 100%;
    margin: 0;
}

.pokemon section h2 {
    margin: 0;
    font-size: 17px;
    font-weight: bold;
    padding: 8px 10px 0px 10px;
    color: #17327e;
}

.pokemon figure img {
    width: 100%;
    max-width: 195px;
}

.pokemon-detail{
    width: 45%;
    min-width: 200px;
    height: auto;
    background-color: #ffff;
    padding-bottom: 12px;
    border-radius: 10px;
    z-index: -1;
    margin-left: 6px;
}

.pokemon-detail section {
    padding: 14px 20px 0px 20px;
    display: inline-flex;
    width: 80%;
    font-size: 14px;
    color: #17327e;
}
.pokemon-detail section label{
    width: 60%;
}

footer{
    width: 100%;
    height: auto;
    background-color: #ffff;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

footer section{
    width: 100%;
    text-align: center;
    padding: 10px 0px 10px 0px;
}

footer section h2{
    margin: 0;
    font-size: 15px;
    color: #17327e;
}

footer figure{
    width: 69px;
    height: 70px;
    margin: 0;
    margin: 0px 25px 10px 37px;
    padding: 4px;
    border-radius: 11px;
    box-shadow: 0px 0px 6px 0px #17327e;
    transform-origin: 0 0;
    overflow: hidden;
}

footer figure img{
    width: 60px;
    display: block;
    margin: auto;
    transition: transform .5s ease;
}

footer figure:hover img {
  transform: scale(1.5);
}

@media screen and (min-width: 474px) {
    header{
        justify-content: initial;
    }
    .pokemon-detail{
        display: flex;
        flex-wrap: wrap;
    }
    .pokemon-detail section {
        width: 30%;
        display: block;
    }
    .pokemon-detail label {
        font-size: 10px;
    }
    .pokemon-detail summary {
        font-size: 20px;
    }

    footer section{
        width: 15%;
        margin-top: auto;
        margin-bottom: auto;
    }

    footer figure{
        margin-top: 10px;
        margin: 10px 5px 10px 5px;
    }
}
